%define upstream_name    Devel-Caller-Perl
%define upstream_version 1.4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary: 	%{upstream_name} module for perl
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0: 	http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Module::Build)

BuildArch: 	noarch


Requires: 	perl(Exporter::Lite)

%description
%{upstream_name} module for perl.  This module allows a method to get at
arguments passed to subroutines higher up in the call stack.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(444,root,root,755)
%doc README META.yml
%{perl_vendorlib}/Devel/Caller/*
%_mandir/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.400.0-2.mga3
+ Revision: 365677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 26078
- mageia rebuild
- imported package perl-Devel-Caller-Perl

